function [y_plax_norm,p_plax_0_norm,p_plax_20_norm] = plaxis_results_120deg_norm

% Rewrites Plaxis output for use in Matlab plots. 
% Femke Vossepoel, 4 March 2019

% Constant = 2.3593e6;
Constant = 1.0;
%array35MPa=xlsread('Exp0904_Phase_0.xlsx');
array35MPa=xlsread('Exp0919_beta120k_virt001_G12000_Phase_0');
X_35MPa=array35MPa(:,4);
Y_35MPa=array35MPa(:,5);
Tau1_35MPa=array35MPa(:,7);
% %sorting data for output
[Y_sort_35MPa,index_sort35] = sort(Y_35MPa);
Tau1_sort_35MPa = Tau1_35MPa(index_sort35);
Tauref=Tau1_sort_35MPa;
legend = [-14, -13.75, -13.5; -2500, -2500, -2500];

%array20MPa=xlsread('Exp0904_Phase_2.xlsx');
array20MPa=xlsread('Exp0919_beta120k_virt001_G12000_Phase_2');
X_20MPa=array20MPa(:,4);
Y_20MPa=array20MPa(:,5);
Tau1_20MPa=array20MPa(:,7);
[Y_sort_20MPa,index_sort20] = sort(Y_20MPa);
Tau1_sort_20MPa = Tau1_20MPa(index_sort20);

Nlength = length(Y_sort_35MPa);
Y_Tau1_array=zeros(3,Nlength);
Y_Tau1_array(1,:)=Y_sort_35MPa;
Y_Tau1_array(2,:)=Tau1_sort_35MPa;
Y_Tau1_array(3,:)=Tau1_sort_20MPa;

y_plax_norm = Y_Tau1_array(1,:)+3500; % vertical distance from center of reservoir, m
p_plax_0_norm = Y_Tau1_array(2,:); % 0 MPa depletion
p_plax_20_norm = Y_Tau1_array(3,:); % 20 MPa depletion