% Script file plot_plaxis_results_Femke_60_deg

clear vars
close all

% Constant = 2.3593e6;
Constant = 1.0;
array35MPa=xlsread('Phase0_nu015.xlsx');
X_35MPa=array35MPa(:,4);
Y_35MPa=array35MPa(:,5);
Tau1_35MPa=array35MPa(:,8);
% %sorting data for output
[Y_sort_35MPa,index_sort35] = sort(Y_35MPa);
Tau1_sort_35MPa = Tau1_35MPa(index_sort35);
Tauref=Tau1_sort_35MPa;
legend = [-14, -13.75, -13.5; -2500, -2500, -2500];
%inclegendx = [Tau1_sort_35MPa-Tauref; legend(1,:)'];
inclegendx = [Tau1_sort_35MPa; legend(1,:)'];
inclegendy = [Y_sort_35MPa; legend(2,:)'];

figure
scatter(inclegendx,inclegendy,'.');
text(-13, -2500, 'p = 35 MPa');
hold on
% ylim([-3600,-2400])

array20MPa=xlsread('Phase2_nu015.xlsx');
X_20MPa=array20MPa(:,4);
Y_20MPa=array20MPa(:,5);
Tau1_20MPa=array20MPa(:,8);
[Y_sort_20MPa,index_sort20] = sort(Y_20MPa);
Tau1_sort_20MPa = Tau1_20MPa(index_sort20);
legend = [-14, -13.75, -13.5; -2650, -2650, -2650];
%inclegendx = [Tau1_sort_20MPa-Tauref; legend(1,:)'];
inclegendx = [Tau1_sort_20MPa; legend(1,:)'];
inclegendy = [Y_sort_20MPa; legend(2,:)'];

scatter(inclegendx,inclegendy,'.');
text(-13, -2650, 'p = 20 MPa');

Nlength = length(Y_sort_35MPa);
Y_Tau1_array=zeros(3,Nlength);
Y_Tau1_array(1,:)=Y_sort_35MPa;
Y_Tau1_array(2,:)=Tau1_sort_35MPa;
% Y_Tau1_array(3,:)=Tau1_sort_10MPa-Tauref;
% Y_Tau1_array(4,:)=Tau1_sort_15MPa-Tauref;
Y_Tau1_array(3,:)=Tau1_sort_20MPa;
% Y_Tau1_array(5,:)=Tau1_sort_30MPa-Tauref;
% Y_Tau1_array(6,:)=Tau1_sort_35MPa-Tauref;
dlmwrite('Results_35_15_MPa_beta60_nu015_shearstress_abs.txt',Y_Tau1_array','delimiter','\t','precision','%.6f')

figure
plot(-Y_Tau1_array(3,:)/9.81,Y_Tau1_array(1,:)+3500,'r','LineWidth',1.5) 
axis([14 18 -300 300])