% script file test_01

clear variables
close all

a = 100;
b = 200;
y = linspace(0,300,200);
G_xy_1 = real(log((a^2-y.^2)./(b^2-y.^2)));
G_xy_2 = real(log(((y-a).*(y+a))./((y-b).*(y+b))));
G_xy_3 = (1/2)*log(((y-a).^2.*(y+a).^2)./((y-b).^2.*(y+b).^2));
plot(G_xy_1,y,'-b')
hold on
plot(G_xy_2,y,'--r')
plot(G_xy_3,y,'og')
hold off
axis([-5 5 0 300])
box on
xlabel('\itG_{xy} \rm(-)')
ylabel('\ity \rm(m)')

y = linspace(0,3000,200);
Sigma_1 = 0.5*( y.*log(((y-a).^2.*(y+a).^2)./((y-b).^2.*(y+b).^2)) ...
    + a.*log(((y+a).^2)./((y-a).^2)) ... 
    + b.*log(((y-b).^2)./((y+b).^2)) );
figure
plot(Sigma_1,y,'-r')
%axis([-5 5 0 300])
box on
xlabel('\itSigma_{xy}/C \rm(-)')
ylabel('\ity \rm(m)')